using System.Collections.Generic;

namespace InABox.Integration.Logikal
{
    public interface ILogikalElevationDetail<TFinish, TProfile, TGasket, TComponent, TGlass, TLabour>  : 
        ILogikalBOM<TFinish,TProfile,TGasket,TComponent,TGlass,TLabour>,
        ILogikalElevationSummary
        where TFinish : ILogikalFinish
        where TProfile : ILogikalProfile
        where TGasket : ILogikalGasket
        where TComponent : ILogikalComponent
        where TGlass : ILogikalGlass
        where TLabour : ILogikalLabour
    {
        byte[] Drawing { get; set; }
    }
}